## ros-foxy-rmf-building-map-msgs 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmf_building_map_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/AffineImage.msg"
  "msg/BuildingMap.msg"
  "msg/Door.msg"
  "msg/Graph.msg"
  "msg/GraphEdge.msg"
  "msg/GraphNode.msg"
  "msg/Level.msg"
  "msg/Lift.msg"
  "msg/Param.msg"
  "msg/Place.msg"
)

set(srv_files
  "srv/GetBuildingMap.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES builtin_interfaces
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-foxy-rmf-building-map-msgs (1.2.0-1focal) focal; urgency=high

  * Add first pass of quality declarations for all packages (#235 <https://github.com/osrf/traffic_editor/issues/235>)
  * Contributors: Geoffrey Biggs, Marco A. Gutierrez, Marco A. Gutiérrez

 -- Morgan Quigley <mquigley@openrobotics.org>  Wed, 06 Jan 2021 00:00:00 -0000

ros-foxy-rmf-building-map-msgs (1.0.0-1focal) focal; urgency=high

  * merging master
  * Merge branch 'master' into ch3/migrate-traffic-editor-thumbnails
  * Merge branch 'master' into ch3/author-namespaced-thumbnails
  * Merge pull request #131 <https://github.com/osrf/traffic_editor/issues/131> from osrf/bug/building_map_server
    Fix coordinate frame of lifts and doors in building_map_server
  * Fixed coordinate system for lifts and doors populated in BuildingMap msg
  * Merge pull request #122 <https://github.com/osrf/traffic_editor/issues/122> from osrf/fix/building_map_server
    Fix/building map server
  * Merge pull request #121 <https://github.com/osrf/traffic_editor/issues/121> from osrf/bug/fix_pkg_dependencies
    adding missing pkg dependencies
  * Lift skeleton
  * Fixed format
  * doors populated in map server
  * adding missing pkg dependencies
  * Merge pull request #16 <https://github.com/osrf/traffic_editor/issues/16> from osrf/repository_reorganization
    Repository reorganization
  * add lift cabin reference point
  * grand reorganization as colcon-buildable packages for ros2 integration
  * Contributors: Marco A. Gutierrez, Marco A. Gutiérrez, Morgan Quigley, Yadu, Yadunund, methylDragon

 -- Morgan Quigley <mquigley@openrobotics.org>  Mon, 22 Jun 2020 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-rmf-building-map-msgs
Section: misc
Priority: optional
Maintainer: Morgan Quigley <mquigley@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-common, ros-foxy-builtin-interfaces, ros-foxy-geometry-msgs, ros-foxy-rosidl-default-generators, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rmf-building-map-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-builtin-interfaces, ros-foxy-geometry-msgs, ros-foxy-rosidl-default-runtime, ros-foxy-ros-workspace
Description: Messages used to send building maps

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rmf-building-map-msgs//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
